Introduction

JkDefragGUI version 1.03

JkDefragGUI is an Graphical User Interface which allows you to easily select all the features JkDefrag, a freeware defragmentation tool made by Jeroen Kessels has to offer. But is can do a lot more.

JkDefragGUI can schedule a defragmentation, install JkDefrag or it's screensaver but can also do some small maintenance to your computer. It can be used to schedule a defragmentation of your systemfiles like pagefile and registry files. JkDefragGUI also supports CCleaner which can be used instead of the internal cleaning function. It can also erase any information which is left behind on your harddisk after erasing files.

JkDefragGUI was created for people who don't have the skills of an advanced user but still want to use the powerful features JkDefrag has to offer or for those people who like a GUI instead of using the command line.

Compatible with U3 memory pens and with BartPE pre-installed environment.

© Emiel Wieldraaijer 2007/2008

Website : http://www.emro.nl/freeware / Email : emielwieldraaijer@hotmail.com

Revision 1.03


End User License Agreement (EULA)

JkDefragGUI EULA
JkDefragGUI is freeware and is provided as-is, with no warranty.
You may use this software at your own risk.
The author is not responsible for any damage caused by this software.
JkDefragGUI maybe freely distributed, provided the distribution package is not modified.
No person or company may charge a fee for the distribution of JkDefragGUI without written permission from the author.


Overview
  • Main features
  • System requirements
  • U3
  • BartPE


Main features
  • Defrag your computer
  • Shutdown your computer after defragmentation
  • Run a hidden defragmentation
  • JkDefrag installer
  • JkDefrag screensaver installer
  • Schedule a defragmentation from within the GUI with the settings you like
  • Install and schedule defragmentation of your paging files and registry hives
  • Clean your computer
  • Optimize and compact your registry
  • Automatically check for an updated version of JkDefrag
  • Wipe deleted data of free harddisk space
  • View JkDefrag logfiles


System requirements
  • Windows 2000, Windows XP, Windows 2003, Windows Vista or Windows 2008 operating system
  • A minimum of 8 MB of disk space


U3

JkDefragGUI is compliant with the U3 technology.

The settings are saved on the U3 memory pen and will stay there during the use of JkDefragGUI.

JkDefragGUI ends your defragmentation when your U3 memory pen is ejected or removed from your system.

Store your data and carry software applications!

Imagine carrying your software on the same flash drive that carries your files. That’s what you can do with a U3 smart drive. You can plug it into any PC and work, play a game, message friends, send email, edit photos and defrag or clean your computer with JkDefragGUI. An U3 smart drive makes any PC your own PC. And when you unplug it, it leaves no personal data behind.

See more software titles at U3 software central


BartPE

What is BartPE and PE Builder?

Bart's PE Builder helps you build a "BartPE" (Bart Pre-installed Environment) bootable Windows CD-Rom or DVD from the original Windows XP or Windows Server 2003 installation/setup CD, very suitable for PC maintenance tasks.

It will give you a complete Win32 environment with network support, a graphical user interface (800x600) and FAT/NTFS/CDFS file system support. Very handy for burn-in testing systems with no OS, rescuing files to a network share, virus scan and so on. This will replace any Dos boot disk in no time.

For more information about BartPE visit the website : http://www.nu2.nu or visit http://www.911cd.net/forums

All extra functions are not available in the BartPE version of JkDefragGUI only the defrag options from Jeroen Kessels. Defragmentation done through a BartPE created cd or dvd has one great advantage : no file is in use so every file can be defragmented.


JkDefragGUI

  • GUI Tabs
  • Menu
  • System tray
  • Hotkeys
  • Commandline


GUI Tabs
  • General
  • Advanced
  • Options
  • Scheduler
  • Installer
  • System
  • Cleaner
  • Wash


General

GUI Tabs - General

The general screen covers the basics of JkDefrag

  • Action - Use the pull down menu to select an action, which suits your situation the best.
  • Debug level - Use the pull down menu to select the debug level jkdefrag is using in the logfile.
  • Disk - You can select a disk of your choice or use the checkbox to select of fixed disks. JkDefrag support defragging other disks then fixed disks but this is disabled by default in the GUI. You can change the devices to check by changing an option in the devices section of the options tab.
  • Speed - It is possible to slow down JkDefrag so it will use less system resources. Normal speed has a value of 100 and is the default.
  • Free space - Set the size of the free spaces to N percent (0...100) of the size of the volume. The free spaces are room on disk for temporary files. There are 2 free spaces, between the 3 zones (directories, regular files, space hogs). Default is 1% (per free space).

When JkDefragGUI is started for the first time the GUI will use the default settings of JkDefrag.


Advanced

GUI Tabs - Advanced

The advanced tab handles to more advanced things which can be done by JkDefrag.

  • Include - Files and/or directories that match the mask will only be defragged instead of the disks selection on the general tab. It is possible to add a disk to the include option. Use wildcards '*' and '?' in the mask to match a set of files or directories. Some examples: "*.avi","*\w3svc*\*.log","d:\mysql\data\*"
  • Exclude - Files and/or directories that match the mask will not be defragged and will not be moved. Use wildcards '*' and '?' in the mask to match a set of files or directories. Some examples: "*.avi","*\w3svc*\*.log","d:\mysql\data\*"
  • Move these files to the end (Spacehogs) - Files that match a mask will be moved to the Spacehogs area. The program has a build-in list for all files bigger than 50 megabytes, files not accessed in the last month, archives, files in the recycler bin, service pack files, and some others.
  • Use logfle - When the checkbox is empty there won't be a logfile created with the information about the defragmentation. The logfile is stored in the tempfolder by default. This can be changed by the select button.
  • Place logfile in same folder as GUI - This option will save the logfile in the same folder as where JkDefragGUI is placed. This will disable the select button


Options

GUI Tabs - Options

The optionstab has four sections and a slider which is used to set transparency to the GUI.

  • On startup - All these options has something todo with the start up of the GUI
  • Devices - This sections controls the devices to add to the disk selection on the general tab
  • On exit - These options will be processed when exiting the GUI
  • Misc - This covers several things, which cannot be placed in one of the above

There are two buttons in the slider group, The red X will disable transparency. The disk icon is used to save the transparency setting to JkDefragGUI.ini


On startup

Options - On startup
  • Check for updates on startup - When JkDefragGUI is started it will make a connection to the freeware section of EMRO Automatisering and checks a file with information about program versions of the GUI and JkDefrag. When an updated version is found, the GUI will offer to download the updated GUI and/or install the updated version of JkDefrag.
  • Reset everything to default on next startup - When this option is selected the next time JkDefragGUI is started the following files will be restored to the original : Help files, Language files, Sound files, Text files further the configuration file will be reset to its defaults.
  • Ask to download Pagedefrag again on startup - When the GUI is started for the first time pagedefrag is not available until it's downloaded from the Microsoft site. During startup there will be a question if you want to download Pagedefrag. You can select yes, no or cancel. Selecting yes will download and install pagedefrag options in the GUI. When no is pressed you will not be asked again if you want to download pagedefrag see the FAQ section how to reset this. Selecting cancel will ask you the question again after restart of the program.


Devices

Options - Devices
  • Detect removable disk - Floppy drives, USB memory, IPods, Memory cards, Jazz disk, Zip disk
  • Show floppy disk (if present) - When a floppy disk is inserted into the computer and this options is selected, it's possible to defragment the floppy disk.
  • Detect ram disks - Ram disks are virtual drives created from memory or images which are stored on a drive.


On exit

Options - On exit
  • Delete logfile on exit - When selected the latest logfile is deleted when the GUI is closed.
  • Shutdown after defrag - This will cause to shutdown the computer after JkDefrag is closed, even when it's closed manually. This option cannot be saved.
  • Save settings on exit - When the GUI is closed and this option is selected all settings and options will be saved to the configuration file except the "Shutdown after defrag" option.


Misc

Options - Misc
  • Hide scheduled task - When this option is activated and a task is scheduled it will not be visible in controlpanel under scheduled tasks
  • Close JkDefrag when finished - This will automatic close the JkDefrag screen when defragmentation is ended (-q parameter)
  • Default spacehogs - Spacehogs are less important files that take up a lot of space. JkDefrag moves them behind the directories and the regular files, to make those faster. You can find the internal list of spacehogs http://www.kessels.com/JkDefrag in FAQ section.
    you can add more to the list on the advanced tab (Don't forget to save your settings or your automatic save settings on exit).
  • Play sound when finished - A sound is played when defragmentation is ended, the file can be replaced (finished.mp3 in Sounds folder)
  • Remove data on unused space - This will make it harder to undelete deleted files
  • Run cleaner options before defrag - This will run all selected items on the cleaner tab

JkDefragGUI has support for CCleaner, when CCleaner.exe and winapp.ini are copied into the Programs folder, the misc section has another option which isn't available in the above situation. When "Use CCleaner instead" is selected the cleaner options are replaced by the CCleaner options except one thing "Registry Optimization" is run when selected.


Scheduler

GUI Tabs - Scheduler

Why defrag your computer manually? With JkDefragGUI you are able to schedule a defragmentation to launch once, daily, weekly, monthly or on startup. When a job is scheduled with JkDefragGUI it will be visible in JkDefragGUI, the text between the two buttons on the bottom of the tab will be green when a job is scheduled and will be red when no job is scheduled. If your account has no password leave the password field as it is or make it completely blank.

When interval "logon" is selected the delay option is available. This will schedule JkDefrag to run after logon and wait an amount in seconds before starting. This will allow the system to startup without the defragger delaying the boot process.


Installer

GUI Tabs - Installer

JkDefragGUI has two built-in installers

  • Windows installer
  • Screensaver installer


Windows installer

Installer - Windows

JkDefragGUI is able to install JkDefragGUI to your computer. Create the shortcuts you want and places JkDefragGUI into the software list of your computer. This will allow you to uninstall JkDefragGUI like every other program. When the JkDefragGUI is installed through the built-in installer you can easily update the shortcuts by selecting or deselecting the checkboxes and press the change button (Install button changes after installation to change).


Screensaver installer

Installer - Screensaver

Jeroen Kessels has created a screensaver version of his defragmentation program which can be handy .. defrag your computer automatically when it isn't used. But the screensaver has to be copied manually to the system32 folder of your windows installation and afterwards you will have to configure the screensaver. JkDefragGUI will make this process a lot easier for you, select your settings and press the install button. When the screensaver is installed and configured on your computer, you can easily change the settings from within the GUI or remove the screensaver from your computer. Another advantage of the GUI is the automatic update of the screensaver. When JkDefragGUI has a newer version of the screensaver it will automatic update the computer with this release when the GUI is started.

  • Timeout - Set the time in minutes for the screensaver to be activated
  • Status bar - Select the type which will be used when the JkDefragScreensaver is active
  • Do not defrag if last run was less then X hours ago - This time in hours will deactivate the JkDefrag screensaver after it has finished and will show the alternative screensaver.
  • Alternative - Select the alternative screensaver which is used by the above selection
  • Command line - Set the commands which will be used by the JkDefrag screensaver. You can set it manually or through the GUI by pressing the button on the right. The red X button will erase the commandline.


System

GUI Tabs - System

The system tab allows you to easily install Pagedefrag from Sysinternal. Pagedefrag uses advanced techniques to provide you what commercial defragmenters cannot: the ability for you to defragment your paging files and registry hives. In addition, it defragments event log files and Windows 2000/XP hibernation files (where system memory is saved when you hibernate a laptop). The current version (when this help file was written the current version is 2.32) of Pagedefrag from Sysinternals does not support Windows Vista and Windows 2008.

The statement above from Sysinternals is not completely true. Built a BartPE disk and add the JkDefragGUI plug-in which can be downloaded from http://www.emro.nl/freeware. Defragment your hard disk from outside your operating system and the above files will also be defragmented.

When the GUI is started for the first time pagedefrag is not available until it's downloaded from the Microsoft site. During startup there will be a question if you want to download Pagedefrag. You can select yes, no or cancel. Selecting yes will download and install pagedefrag options in the GUI. When no is pressed you will not be asked again if you want to download pagedefrag see the FAQ section how to reset this. Selecting cancel will ask you the question again after restart of the program.


Cleaner

GUI Tabs - Cleaner

JkDefragGUI can do some basic cleaning to your profile or you may select to clean all the specified folder from every profile folder but you will have to have rights on all profile folders.

The Prefetch folder is used by Windows XP to speed the boot process. Windows XP records information about each program that launches at boot and uses that information to boot faster the next time. Because multiple files might have the same name, it appends a "hash" of the file's location. That's the odd string of numbers and letters between the filename and the .pf extension. This folder may accumulate useless junk, especially if you change your configuration a lot. There's no harm in emptying it. Windows will rebuild it as needed

Registry optimization calls an external program NTREGOPT. The optimization done by NTREGOPT is simply compacting the registry hives to the minimum size possible.

All these options except the registry optimization can be overwritten by an option from the options tab called "Use CCleaner instead" this options is only available when CCleaner.exe and ccleaner.ini are copied manually into the programs folder.


Wash

GUI Tabs - Wash

JkDefragGUI can also remove data from your harddisk which you think does not exist anymore. Some disk recovery tools can recover files which have been deleted under Windows, even when the harddisk is formatted files can be recovered. The wash function fills your harddisk with garbage and this will make it a lot harder to recover those files. When you repeat the procedure several times it's allmost impossible to recover those files. This will increase your privacy.


Menu
  • File
  • View
  • Language
  • Settings
  • ?


File

Menu - File

  • Run defrag - This will start JkDefrag with the options you've selected in the GUI
  • Read logfile - Read the logfile created by JkDefrag from within the GUI
  • Exit - Exit JkDefragGUI


View

Menu - View

  • Show installer - When selected the installer tab is visible otherwise it will be removed.
  • Show scheduler - When selected the scheduler tab is visible otherwise it will be removed
  • Show system - When selected the system tab is visible otherwise it will be removed (Only available when pagedefrag is installed)
  • Show cleaner - When selected the cleaner tab is visible otherwise it will be removed
  • Show wash - When selected the cleaner tab is visible otherwise it will be removed

The view menu isn't shown in BartPE mode


Language

Menu - Language

JkDefragGUI supports several languages which can be selected in the language menu. The selected language is stored in JkDefragGUI.ini. The following abbreviations are used. When the program starts for the first time it will select the it's language based on the language settings from you operating system.

Language | Abbreviation
Brazilian Portuguese | BRP
Bulgarian | BU
Catalan | CA
Chinese Simplified | ZH2
Chinese Traditional | ZH1
Croatian | HR
Czech | CZ
Dutch | NL
English | EN
France | FR
German | DE
Greece / Hellenic | GR
Hebrew | HE
Hungarian | HU
Indonesian | INA
Italian | IT
Japanese | JP
Polish | PL
Portuguese | PT
Romanian | RO
Russian | RU
Serbian | SR
Slovenian | SL
Slovak | SK
Spanish | ES
Swedish | SE
Turkish | TR
Ukrainian | UA
Valencian | VA


Settings

Menu - Settings
  • Save settings - This will save all settings which are selected in the GUI (Except shutdown)
  • Reset settings - This will restore all settings to the defaults of the GUI
  • Copy settings to clipboard - Copy all the selected settings of JkDefrag to the clipboard


?

Menu - Help
  • External link to the website of Jeroen Kessels
  • External link to the website of EMRO Automatisering
  • External link to the website of Sysinternals
  • External link to the website of Lars Hederer
  • Help - This helpfile
  • Credits - Saying thank you to everyone who helped with the translation or development of JkDefragGUI
  • Read changelog - Read the changes from every version of JkDefragGUI
  • Read changelog (JkDefrag) - Read the changes from every version of JkDefrag
  • JkDefrag colors - Explaination of the colors used by JkDefrag.
  • Check for updates - Check manually for updates of JkDefragGUI and JkDefrag.


System tray

The system tray icon from JkDefragGUI has six options

  • Reset transparency - Easily reset the chosen transparency
  • Stop JkDefrag.exe - Quit a running version of JkDefrag.exe
  • JkDefrag Colors - Explaination of the colors used by JkDefrag
  • Run - Start JkDefrag with the settings you selected in the GUI
  • Exit - Exit JkDefragGUI, this will not end a running JkDefrag.exe
  • Start Washing - Erase sensitive data from your free space of your harddisk


Hotkeys

Key | Short description | Long description
F1 | Help | Display this help file
F3 | Save Settings | Save all the selected settings to a configuration file
F4 | Copy settings to clipboard | Copy all the selected settings of JkDefrag to the clipboard
F5 | Run defragmentation | This will run JkDefrag with the settings set in the GUI
F6 | Read logfile | Open the last logfile
F7 | Save logfile | This will prompt you to save the logfile to another location
F8 | Print logfile | This will popup a screen with the installed printers and allows you to print the logfile
F9 | Wash drive | Wipe data of free harddisk space
F10 | Exit | Exit JkDefragGUI
F11 | System cleanup | Remove temporary files and do so other cleaning
F12 | Check for updates | Manually check if there is an update of JkDefragGUI or JkDefrag


Commandline

JkDefragGUI can be run with several parameters

/h and /hs are two parameters which start JkDefrag with the settings saved by the GUI and runs JkDefrag without being shown to the user. The difference between /h and /hs is that /hs will shutdown the computer when defragmentation is finished or the process is closed. When using these parameters cleaning and wash function will not be run.

/s this will autoselect "shutdown after defrag" in the GUI

/r this will automaticly run JkDefrag with saved options including cleaning and wash function.

/rs same as /r but will shutdown the computer when completed.

/d:x: selects drive X: as default drive in the GUI

/c:file checks for a configurationfile called file in the config folder, this will overwrite the settings saved in JkDefragGUI.ini

/reset will restore almost everything to defaults, Help files, Languages files, Sound and Settings this can also be done by selecting an option in the "On startup" section from the Options tab.

and the last one /? will display the command line help like the following picture.


External Programs

  • JkDefrag
  • JT
  • Pagedefrag
  • NTREGOPT
  • CCleaner


JkDefrag

External Programs - JkDefrag

Free (released under the GNU General Public License) disk defragment and optimize utility for Windows 2000/2003/XP/Vista/X64. Completely automatic and very easy to use, fast, low overhead, with several optimization strategies, and can handle floppies and USB disks/sticks. Included are a Windows version, a commandline version (for scheduling by the task scheduler or for use from administrator scripts), a screensaver version, a DLL library (for use from programming languages), and versions for Windows X64.

JkDefrag is a disk defragmenter that can be run in as-needed or automatic mode via command line parameters or screensaver integration. By default, the software uses a Fast Optimization, designed for everyday use, but it also supports custom parameters that can move files to the end (or beginning) of the disk, sort them by name, size and other criteria. Even though JkDefrag can be run with a standard Windows GUI, most of it`s powerful features are aimed at users that are familiar with command-line usage. JkDefragGUI was created for people who don't have the skills of an advanced user but still want to use these powerful features or for those people who like a GUI instead of a command line.

JkDefrag does not contain any adware or spyware.

For more information see Jeroen Kessels website : http://www.kessels.com


JT (Task Scheduler)

External Programs - JT

JkDefragGUI has the ability to schedule a defragmentation and uses an external program. Microsoft ® Task Scheduler Command Line Utility "JT.exe" a Windows 2000 Resource Kit utility. JT.exe is compatible with NT/2000/2003/XP/Vista.

You can download JT.exe from ftp://ftp.microsoft.com/reskit. (Also included in JkDefragGUI)


Pagedefrag

External Programs - Pagedefrag

One of the limitations of the Windows NT/2000 defragmentation interface is that it is not possible to defragment files that are open for exclusive access. Thus, standard defragmentation programs can neither show you how fragmented your paging files or Registry hives are, nor defragment them. Paging and Registry file fragmentation can be one of the leading causes of performance degradation related to file fragmentation in a system.

PageDefrag uses advanced techniques to provide you what commercial defragmenters cannot: the ability for you to see how fragmented your paging files and Registry hives are, and to defragment them. In addition, it defragments event log files and Windows 2000/XP hibernation files (where system memory is saved when you hibernate a laptop).

PageDefrag works on Windows NT 4.0, Windows 2000, Windows XP, and Server 2003.

For more information see their website : http://www.microsoft.com/technet/sysinternals/default.mspx


NTREGOPT

External Programs - NTREGOPT

JkDefragGUI includes another fantastic tool which is called NTREGOPT. It's a small Registry Optimization tool which is designed for Windows NT/2000/2003/XP.The program is made by Lars Hederer and the included version is 1.1j build on 10/20/2005. For other fantastic programs from Lars Hederen visit his website : http://www.larshederer.homepage.t-online.de

Introduction

Similar to Windows 9x/Me, the registry files in an NT-based system can become fragmented over time, occupying more space on your hard disk than necessary and decreasing overall performance. You should use the NTREGOPT utility regularly, but especially after installing or uninstalling a program, to minimize the size of the registry files and optimize registry access. The program works by recreating each registry hive "from scratch", thus removing any slack space that may be left from previously modified or deleted keys. Note that the program does NOT change the contents of the registry in any way, nor does it physically defrag the registry files on the drive (as the PageDefrag program from SysInternals does). The optimization done by NTREGOPT is simply compacting the registry hives to the minimum size possible.

Supported operating systems

Windows NT 3.51- Windows NT 4.0- Windows 2000- Windows 2003- Windows XP- most likely, all future Windows versions based on the NT kernel Installation

NTREGOPT command line switches

NTREGOPT supports command line switches with which you can perform a "silent" registry optimization, without user interaction.

The syntax for the NTREGOPT command line is:

NTREGOPT silent [/noprogresswindow] [/reboot](Switches in brackets are optional.)

Description of the command line switches:

silent puts NTREGOPT into "silent" mode and enables the other switches
/noprogresswindow Hides the progress window during optimization.
/reboot Automatically reboots the computer when optimization of the registry is complete.

Known problems

NTREGOPT sometimes fails with error 1450 - "Insufficient system resources exist to complete the requested service" - when trying to save an optimized registry hive. I have not yet been able to reproduce this error on any PC, and reports from affected users indicate that it also pops up when trying to back up the critical hive using Microsoft's REGBACK program. This makes it unlikely that there is anything I can do on my (the programmer's) side. Some users reported however that they were able to work around the problem by running NTREGOPT in Windows' safe mode, and in one case uninstalling a Symantec software suite solved it permanently. One user reported that increasing the "IRPStackSize" value as described in Microsoft Knowledge Base article 177078 fixed the problem on his system. When the system is rebooted after an optimization with NTREGOPT, Windows Server 2003 will by default display the shutdown event tracker during logon asking why the system has been shut down unexpectedly. This is because the info that the shutdown was in fact an expected one is written to the "old" registry during shutdown of the system whichis replaced by the optimized registry next time the system is booted, and therefore the shutdown info is discarded and shutdown event tracker thinks the system crashed. You may want to disable the tracker to avoid this message in the future (see the Windows help for information on how to do this). If you experience any other problems, please send me an email with a detailed description and I will see if i can help you.

Localization

You can translate this program into your language by editing the NTREGOPT.LOC file. Keep in mind that the file should be edited using a Windows based editor (Notepad), to ensure that any OEM characters are displayed correctly in the program. If your language is not yet present on my homepage and you want your localization to be available to the general public, you are welcome to send your translated file to me. I will then make it available for download, with credits of course. I have included a German language file. If you want to use the program in German, simply unzip LOC_GER.ZIP into your NTREGOPT folder.

Version history

NTREGOPT v1.1j - 10/20/2005

- Fixed compatibility issues with 64-bit Windows (many thanks to Ian Smith and Hajo for all testing)
- Enhanced error messages

NTREGOPT v1.1i, - 08/17/2005

- Optimization results are now calculated correctly when optimization failed on one or more hives

NTREGOPT v1.1h - 03/06/2005

- Updated homepage address

NTREGOPT v1.1f - 08/26/2004

- Window position is now screen center instead of desktop center, fixing display problem when using multiple monitors (thanks John :)

NTREGOPT v1.1e - 07/31/2004

- Optimization results: use thousand separator

NTREGOPT v1.1d - 07/07/2004

- Optimized error handling

NTREGOPT v1.1c - 05/10/2004

- Fixed problems with dynamic disks
- Re-added support for Windows NT 3.51 (got lost with v1.1)

NTREGOPT v1.1b - 04/23/2004

- NTREGOPT is now compatible with Windows Server 2003 and Windows XP Service Pack 2
- Fixed a problem where the registry hives could not be optimized on some systems

NTREGOPT v1.1a - 10/03/2002

- Fixed a problem where the registry hives could not be optimized on some systems

NTREGOPT v1.1, 09/25/2002

- Added command line support- Show optimization results (initial and new registry size)

NTREGOPT v1.0 - 11/24/2001

- Initial release

Distribution

The NTREGOPT program is freeware. Please pass it to anyone who you think may find it useful.I explicitly allow this program to be included in any file archive, CD-ROM or other media collection as well as usage in your own programs provided that all files are kept and remain unchanged. A quick note via e-mail where my program has been included is appreciated.

Donations

Though I chose to make my programs freeware so that no one is required to pay for using them, I accept and appreciate donations. So, if you find my programs helpful and want to support further development, simply visit my homepage and click one of the "PayPal" buttons, or donate directly to my e-mail address via PayPal. Thanks in advance! If you live in Germany and want to make a donation, you may also transfer money directly to my bank account. Contact me for more information.

Disclaimer

Use this software at your own risk. I do not take responsibility for anything that might happen to you or the PC upon use of my program, including but not limited to: registry destruction, hard disk crash, heart attack...

Comments and suggestions via email, however, are always welcome!


CCleaner

External Programs - CCleaner

This information is based CCleaner version from 30th July 2008

JkDefragGUI has a built in cleaner function but it's a very simple one. There is a more advanced cleaner programs available on the internet and it's name is CCleaner. CCleaner is a product from Piriform and has more than one thing in common with JkDefrag. It allows Windows to run faster, more efficiently. It's a small program, free and contains no adware.

Program Summary:

CCleaner Cleans the following Windows components:

  • Internet Explorer Internet Explorer
    - Temporary File Cache
    - URL History
    - Cookies
    - Hidden Index.dat files
    - Last download file location
    - Autocomplete forms
  • Firefox Firefox
    - Temporary File Cache
    - URL History
    - Cookies
    - Download manager
  • Opera Opera
    - Temporary File Cache
    - URL History
    - Cookies
  • Recycle Bin
  • Clipboard
  • Windows Temporary files
  • Windows Log files
  • Recent Documents (on the Start Menu)
  • Run history (on the Start Menu)
  • Windows XP Search Assistant history
  • Windows XP old Prefetch data
  • Windows memory dumps after crashes
  • Chkdsk file fragments

Advanced Options allow cleaning of:

  • Menu Order cache
  • Tray Notifications Cache
  • Window Size and Location Cache
  • User Assist history
  • IIS Log Files
  • Custom Folders

Application Cleaning:

As well as cleaning up old files and settings left by standard Windows components, CCleaner also cleans temporary files and recent file lists for many applications. Including:

  • Firefox, Opera, Safari, Media Player, eMule, Kazaa, Google Toolbar, Netscape, Microsoft Office, Nero, Adobe Acrobat Reader, WinRAR, WinAce, WinZip and more...

Registry Cleaning:

CCleaner uses an advanced Registry Cleaner to check for problems and inconsistencies. It can check the following:

  • File Extensions
  • ActiveX Controls
  • ClassIDs
  • ProgIDs
  • Uninstallers
  • Shared DLLs
  • Fonts
  • Help File references
  • Application Paths
  • Icons
  • Invalid Shortcuts and more...

Safety:

CCleaner was designed from the ground to be safe and secure to use. It has multiple levels of checks in place to ensure that it cannot delete any useful information or documents you may still need. We also certify that it contains no Spyware or Adware.

High Security:

For the super cautious users we also offer secure file erasing. By overwriting the files before deleting them, making it impossible to recover the data.

Multiple Languages:

Thanks to the translators, CCleaner is available in 35 different languages:

English, Albanian, Arabic, Bosnian, Bulgarian, Catalan, Chinese (Simplified), Chinese (Traditional), Czech/Slovak, Danish, Dutch, Finnish, French, Galician, German, Greek, Hebrew, Hungarian, Italian, Japanese, Korean, Lithuanian, Macedonian, Norwegian, Polish, Portuguese, Portuguese (Brazilian), Romanian, Russian, Serbian Cyrillic, Serbian Latin, Slovak, Spanish, Swedish and Turkish.

For more information see their website : http://www.ccleaner.com


Service and Support

Service and Support - JkDefragGUI defaults
  • Frequently Asked Questions (FAQ)
  • JkDefragGUI defaults
  • Folder structure


Frequently Asked Questions (FAQ)

Service and Support - Frequently Asked Questions (FAQ)

Questions

  1. My language is not available in the GUI, can i add my own ?
  2. Can i do a remote schedule with JkDefragGUI ?
  3. My language files are damaged, what to do ?
  4. I use the built-in scheduler but when i restart JkDefragGUI the settings restored, what is wrong ?
  5. How can i use CCleaner instead of the builtin cleaner ?
  6. When JkDefrag is running, JkDefragGUI is running in the background. Is it possible to end JkDefragGUI ?
  7. Could you give me some other tips ?
  8. I found a bug, what to do ?
  9. After using the wash function there is no harddisk space left, what's wrong ?
  10. Can i remove unused help files ?
  11. Pagedefrag is not available in the GUI what went wrong ?

1. My language is not available in the GUI, can i add my own ?

Off course you can, edit the user.lng in the languages folder. The most important thing is to change &User this will activate the user create language en this text will be displayed in the languages menu. Don't change the values between [ ] only change the text after the =.sign. If you would like to share the language with the rest of the world and are willing to maintain the language file please be so kind to send me a copy off your language. You can send it be email to emielwieldraaijer@hotmail.com

Back to top

2. Can i do a remote schedule with JkDefragGUI ?

No JkDefragGUI doesn't support remote scheduling on another computer maybe this feature will be added in the future

Back to top

3. My language files are damaged, what to do ?

Exit JkDefragGUI and delete all the files in the language folder, restart the program.

Back to top

4. I use the built-in scheduler but when i restart JkDefragGUI the settings are restored, what is wrong ?

The settings on the scheduler tab are only used to schedule the defragmentation. It does not display the settings from the scheduled tasks. I you want to change the settings you will have to save the settings. You can save the settings by pressing the function key F3 or select menu settings and choose save settings

Back to top

5. How can i use CCleaner instead of the built-in cleaner ?

Install CCleaner onto your computer and copy ccleaner.exe, ccleaner.ini (if available) and winapp.ini (if available) to the programs folder, this folder is a subfolder of the folder where the JkDefragGUI is installed. An extra option is added to the options menu under the misc section called "Use CCleaner instead" When checked CCleaner will be used instead of the built-in cleaner.

Back to top

6. When JkDefrag is running, JkDefragGUI is running in the background. Is it possible to end JkDefragGUI ?

You can exit JkDefragGUI while JkDefrag is running, Right click the JkDefragGUI icon in the systemtray and select exit (Left handed configuration must do the opposite).

Back to top

7. Could you give me some other tips ?

  1. Cleanup old junk from your hard disk before running JkDefrag
  2. Reboot before running JkDefrag. This will release files that are in use, so they can be defragged.
  3. Stop your realtime virus scanner before running JkDefrag. Virus scanners check all disk activity, making defragmentation and optimization very slow.
  4. Move the swapfile to another volume, reboot, defragment, and move the swapfile back. If you don't have a second volume then temporarily make the swapfile small, for example 100Mb.
  5. If an application (for example a database) prevents certain files from being defragged then stop the application, run JkDefrag for the particular data directory only, and restart the application.
  6. Make a BartPE disk and use the BartPE plugin, when running JkDefragGUI from a BartPE environment all files can and will be defragmented.

Back to top

8. I found a bug, what to do ?

Send an email to emielwieldraaijer@hotmail.com, report as much information as possible, Operating system, Language, Memory and all the other information. If an error message is displayed please attach it to the email. For those who do not know how to attach the message : Press <alt> and press <printscreen> holding the two keys at the same time, start paint which can be found in the startmenu - accessoires and press <ctrl> and <v> at the same time. Save the image and attach it to the email. For your system information you could also download SimpleSysInfo and choose the write info button, to save a text file with all the information of your computer and attach it also to the email (Please remove the line with your serial number information).

Back to top

9. After using the wash function there is no harddisk space left, what's wrong ?

The wash function fills the harddisk with garbage and when there is no space left the garbage will be removed. Sometimes the file with garbage which is stored in the root of the harddisk cannot be removed. The file is called JkDefragGUI_Eraser.tmp and can be safely deleted from the harddisk. This problem can be caused by virusscanners and low system resources.

Back to top

10. Can i remove unused help files ?

You can delete the files in the help folder, except JkDefragGUI.chm. If you want to remove JkDefragGUI.chm you must rename another help file to JkDefragGUI.chm. When no helpfile is found of a particular language the english one is used.

Back to top

11. Pagedefrag is not available in the GUI what went wrong ?

When JkDefragGUI was started for the first time there was a question regarding downloading Pagedefrag. If no was selected Pagedefrag will not be downloaded and this question will not be asked again. To resolve this problem reset the GUI settings to default by selecting Options Tab, Button On Startup and select "Ask to download Pagedefrag again on startup" or you can edit JkDefragGUI.ini by changing PageDefragDownload=NO to PageDefragDownload= YES.

Back to top


JKDefragGUI defaults

Service and Support - JkDefragGUI defaults

General default
Languages |  | Default language when the starts for the first time is based on the Operating system language, otherwise it will be english.
General Tab
 | Action | 3 - Analyze, fixup and fast optimization
 | Debug level | 1 - Warning messages
 | Disks | C:
 | All disks checkbox | Not checked
 | Speed | 100 %
 | Freespace | 1 %
Advanced Tab
 | Include | none set
 | Exclude | none set
 | Move these files to the end. (Spacehogs) | none set
 | Use logfile checkbox | Checked
 | Place logfile in same folder as GUI | Not checked
 | Logfile location | Current users temp folder
Scheduler Tab
 | Username | Current username
 | Password | not visible but it is NULL this is used when no password is specified
 | Time | 23:59
 | Date | Current date
 | Interval | Weekly
 | Delay | 0
 | Day | Monday (Mo)
Installer - Windows
 | Add GUI to windows startup | Not checked
 | Create desktop shortcut | Checked
 | Create startmenu folder | Checked
 | Create quicklaunch shortcut | Checked
 | Install JkDefragGUI into | Program files commondir \ JkDefragGUI
Installer - Screensaver
 | Timeout | 10 minutes
 | Statusbar | Full statusbar
 | Do not defrag if last run was X hours ago | 4
 | Alternative | none set
 | Commandline | none set
System
 | At next reboot | Not selected
 | Every reboot | Not selected
 | Defragmentation abort countdown | 3 (Greyed out)
 | Don't defragment (uninstall) | Selected
Cleaner
 | Current user | Nothing checked
 | All users | Nothing checked
 | Empty windows temp folder | Not checked
 | Empty prefetch folder | Not checked
 | Registry optimization | Not checked
 | Empty recycle bin on all drives | Not checked
Wash
 | Repeat X times | 1
 | Select all fixed disks | Not checked
Options - On startup
 | Check for updates on startup | Not checked
 | Reset everything to default on next startup | Not checked
Options - Devices
 | Detect removable disk | Not checked
 | Show floppy disk (if present) | Not checked
 | Detect ramdisks | Not checked
Options - On exit
 | Delete logfile on exit | Not checked
 | Shutdown after defrag | Not checked
 | Save settings on exit | Not checked
Options - Misc
 | Hide scheduled task | Not checked
 | Close JkDefrag when finished | Not checked
 | Default spacehogs (Files > 50MB) | Checked
 | Play sound when finished | Not checked
 | Remove data on unused diskspace | Not checked
 | Run cleaner options before defrag | Not checked
 | Use CCleaner instead (See instructions) | Not checked


Folder structure

Service and Support - Folder structure

Files and Directories |  | Description
(Top-level files)
JkDefragGUI.exe |  | The main program
JkDefragGUI.ini |  | File with settings used by JkDefragGUI.exe
Changelog.txt |  | See the version info of JkDefragGUI
Readmefirst.txt |  | Important file which should be read before using JkDefragGUI
Uninstall.exe |  | The JkDefragGUI uninstaller (only available when JkDefragGUI is installed)
Help
 | JkDefragGUI_ES.chm | Spanish help file
 | JkDefragGUI_NL.chm | Dutch help file
 | JkDefragGUI.chm | This help file
 | JkDefragGUI_VA.chm | Valencian help file
Languages
 | brazilianportuguese.lng | Brazilian Portuguese translation of JkDefragGUI
 | bulgarian.lng | Bulgarian translation of JkDefragGUI
 | catalan.lng | Catalan translation of JkDefragGUI
 | croatian.lng | Croatian translation of JkDefragGUI
 | czech.lng | Czech translation of JkDefragGUI
 | dutch.lng | Dutch translation of JkDefragGUI
 | english.lng | English translation of JkDefragGUI (Default Language)
 | france.lng | France translation of JkDefragGUI
 | german.lng | German translation of JkDefragGUI
 | hellenic.lng | Greek/Hellenic translation of JkDefragGUI
 | hungarian.lng | Hungarian translation of JkDefragGUI
 | indonesian.lng | Indonesian translation of JkDefragGUI
 | italian.lng | Italian translation of JkDefragGUI
 | japanese.lng | Japanese translation of JkDefragGUI
 | polish.lng | Polish translation of JkDefragGUI
 | portuguese.lng | Portuguese translation of JkDefragGUI
 | romanian.lng | Romanian translation of JkDefragGUI
 | russian.lng | Russian translation of JkDefragGUI
 | serbian.lng | Serbian translation of JkDefragGUI
 | simplifiedchinese.lng | Simplified Chinese translation of JkDefragGUI
 | slovak.lng | Slovak translation of JkDefragGUI
 | slovenian.lng | Slovenian translation of JkDefragGUI
 | spain.lng | Spanish translation of JkDefragGUI
 | swedish.lng | Swedish translation of JkDefragGUI
 | traditionalchinese.lng | Traditional Chinese translation of JkDefragGUI
 | turkish.lng | Turkish translation of JkDefragGUI
 | user.lng | User definied translation of JkDefragGUI
 | ukrainian.lng | Ukrainian translation of JkDefragGUI
 | valencian.lng | Valencian translation of JkDefragGUI
 | hebrew.lng | Hebrew translation of JkDefragGUI
Programs
 | 7za.exe | Commandline version of 7-Zip used to extract the archives downloaded at firsttime startup for updates
 | 7za-readme.txt | The 7za license agreement
 | jkdefrag.exe | The main defragmentation program used by this GUI
 | jkdefrag64.exe | The 64bits version of JkDefrag.exe
 | jkdefragcmd.exe | The commandline version of JkDefrag which is used by the scheduler and for hidden mode
 | jkdefragcmd64.exe | The 64bits version of JkDefragcmd.exe
 | jkdefragscreensaver.scr | The screensaver
 | jkdefragscreensaver64.scr | The 64bits version of jkdefragscreensaver.scr
 | jkdefragscreensaver.exe | The screensaver executable
 | jkdefragscreensaver64.exe | The 64bits version of jkdefragscreensaver.exe
 | jt.exe | Commandline scheduler from Microsoft Windows 2000 resource kit
 | ntregopt.exe | Registry Optimization from Lars Hederer
 | ntregopt.loc | The language file used by ntregopt.exe
 | ntregopt.txt | Eula and documentation of ntregopt.exe
 | pagedfrg.exe | PageDefrag from Sysinternals
 | pagedfrg.hlp | Help file of PageDefrag
 | pagedfrg_eula.txt | EULA from sysinternals regarding PageDefrag
 | timeout.exe | Program to add a timeout to a batchfile
Sounds
 | finished.mp3 | This sound will be played when JkDefrag has finished the defragmentation (only when activated)


Version info (Change log)

Version info

JkDefragGUI 1.03 - October 12th 2008

- Added JkDefrag.exe and other files to the archive, request of Jeroen Kessels
- Added a question to download JkDefrag when it isn't found in the program folder
- Added check to see if CCleaner is installed on local computer and update JkDefragGUI with it
- Added Ukrainian translation

- Added Turkish translation

- Added multiple logfiles support
- Added -s to commandline this will autoselect shutdown after defrag in the GUI
- Added -r to commandline this will automaticly run JkDefrag with saved options
- Added -rs to commandline this will automaticly run JkDefrag with saved options and shutdown afterwards

- Added read settings from scheduled job (only new onces)
- Changed JkDefragGUI Icon and TimeOut Icon

- Changed location of logfile when saved in the same folder as the GUI for U3 Devices to U3 documents folder

- Embedded background image into the executable

- Fixed bug Installer not working 100% when JkDefragGUI.exe is renamed

- Improved internal cleaner reading settings from all existing profiles
- Improved support CCleaner, internal cleaner can control CCleaner settings
- Improved deleting folders IECache and History current user, will not leave empty folders anymore
- JkDefragGUI not packed with UPX anymore to reduce the amount of false positives by virusscanning software
- Logfiles are saved with date and time in name and can be read from within the GUI

- Logfiles can be deleted from within the GUI

- Updated Uninstaller, a registry value was left behind

JkDefragGUI 1.02 - May 8th 2008

- Added automatic detection of indonesian language at first start of JkDefragGUI

- Added disk washing, replace erased information with garbage

- Added color help to tray menu

- Fixed bug CCleaner only executed when internal cleaner is selected before CCleaner

- Fixed bug LogFileAfterDefrag setting not set in the GUI after restart

- Fixed colors green switched in JkDefrag color help
- Fixed bug Serbian language not selected in language menu

- Fixed keylogger detection by some firewall applications

- Improved BartPE Support
- Improved and reduced code
- Made GUI Smaller when in BartPE Mode
- Removed external help files from GUI to reduce size of GUI executable
- Replaced external program wait.exe with selfmade one
- Some typo corrections in multiple language files

JkDefragGUI 1.01 - January 31st 2008

- Added automatic update of the scheduled job with newest jkdefrag when downloaded
- Added automatic update of the installed version with newest jkdefrag when downloaded
- Added croatian translation

- Added indonesian translation
- Added option to add a delay when doing a schedule at logon
- Added option to show logfile after defragmentation (GUI only)

- Added pagedefrag to the U3 version of JkDefragGUI
- Added empty prefetch folder to internal cleaner

- Added jkdefrag history to menu
- Fixed helpfile not displayed on network drive
- Fixed bug JkDefrag version not updated when updated through automatic update at startup
- Fixed bug "Show System" selected on startup when disabled
- Fixed bug spacehogs disabled when selected and enabled when not selected

- Fixed bug scheduled job logfile not saved when using folder with spaces
- Fixed bug calendar not displayed correctly on Vista OS

- Improved U3 version no need re-download JkDefrag on every usage
- Removed screensaver copied to system32 during update when not installed

- Removed some external links in help menu from BartPE Mode

JkDefragGUI 1.00 - December 1st 2007

- Added DisableDefaults spacehogs to hidden mode
- Added valencian translation
- Added hebrew translation
- Added play sound when finished option
- Added save settings on exit option
- Added windows cleaning (Temp/Cookies/History/Recent/RecycleBin)
- Added registry optimizer from Lars Hederer
- Added commandline /hs runs JkDefrag hidden and shutdown after defrag
- Added commandline /reset will reset JkDefragGUI to it's defaults and restore the language files
- Added support for CCleaner /Auto

- Added english helpfile
- Added spanish helpfile
- Added dutch helpfile

- Added valencian helpfile

- Added JkDefrag version info to statusbar of GUI
- Changed downloading PageDefrag, downloaded when JkDefragGUI is started for the firsttime
- Changed combobox screensaver, made readonly
- Created a new icon for JkDefragGUI
- Fixed bug automatic download and update of JkDefrag not working 100%
- Fixed bug no logfile created with taskschedular when path with space is used
- Fixed bug debuglevel not displayed correctly in GUI
- Fixed bug monthly schedule not saved correctly
- Fixed bug when password is cleared in password field from scheduler tab scheduled job not working
- Fixed bug with "All disk" selection not released when run second time without restart
- Fixed bug email link not working on X64
- Fixed bug downloading JkDefrag.exe update
- Fixed bug wrong icon in controlpanel software
- Improved Pagedefrag options
- Improved downloading JkDefrag.exe when starting the GUI for the first time
- Improved program which checks for the existance of an U3 Device
- Improved installer function to auto install pagedefrag and jkdefrag
- Improved X64 support
- Removed "Shutdown after defrag" option from BartPe mode
- Removed automaticly check for update function from BartPE mode

JkDefragGUI 0.94 - 16 September 2007

- Fixed bug not working on Windows Vista when User Account Control (UAC) is active

JkDefragGUI 0.93 - 14 September 2007

- Corrected small typo in spacehogs explanation in all language files
- Fixed bug logfile path not restored to temp folder when settings are reset to default
- Fixed bug language files are always overwritten
- Dutch language corrections made by Alfred Spijker

JkDefragGUI 0.92 - 10 September 2007

- Added czech translation
- Added slovak translation
- Added serbian translation
- Added language version check to overwrite old languages if found
- Added drivespace check when using the installer
- Added deleting pagedfrg.zip from the temp folder after download
- Added installer to the U3 version of JkDefragGUI
- Added scheduler to the U3 version of JkDefragGUI
- Added versioncheck for PageDefrag with Vista, version 2.32 and below has no Vista support
- Added update check for JkDefrag
- Added automatically updating JkDefrag en JkDefragscreensaver when update is downloaded
- Added all the missing items to the scheduler (Include/Exclude/Spacehogs)
- Added selecting language for the first time based on OS language
- Added missing color icon in BartPE mode
- Added missing transparency to changelog GUI
- Changed credit menu now smaller and scrolling
- Changed from RAR archive to ZIP archive
- Changed JK icon to new JkDefrag Icon
- Changed log file location in command line
- Improved X64 Support
- Improved GUI Speed
- Increased the calendar size for Windows 2000
- Increased the calendar size for Bulgarian regional settings
- Fixed bug error message when no internet connection detected during download PageDefrag
- Fixed bug importing shutdown settings from old ini file
- Fixed bug uninstaller not in selected language due to moved languages to folder languages
- Fixed bug tray item transparency state not set correct when closed through tray option
- Fixed bug JkDefragGUI not showing sometime when internet explorer is active
- Made uninstaller Unicode compatible
- No restart needed anymore when adding a tab
- Reduced memory usage
- Reduced CPU usage
- Removed JkDefrag from the JkDefragGUI.exe files downloaded automaticly
- Removed Sysinternals image from JkDefragGUI.exe due to copyright
- Removed background image from BartPE version
- Small cosmetic changes to scheduler checkboxes
- Supports only JkDefrag 3.17 and higher

JkDefragGUI 0.91 - 17 July 2007

- Corrected some typos in several languages
- Fixed bug error message when switching language on a Windows 2000 system
- Fixed bug running PageDefrag from folder with spaces
- Fixed bug saving "Select all fixed disks", disk selection not greyed out after restart
- Removed support for JkDefrag 3.15 and below
- Removed action 4, no longer supported by JkDefrag

JkDefragGUI 0.9 - 14 July 2007

- Made JKDefragGUI 100% Unicode compatible
- Added traditional chinese translation
- Added simplified chinese translation
- Added option to read the changelog in the GUI (English)
- Added shutdown after defrag option (Only GUI mode, not scheduler)
- Added disable default spacehogs option
- Added support for Sysinternals PageDefrag, downloaded automaticly when used
- Added selecting "Select all fixed disks" will disable single disk selection
- Added missing Spanish text "Include"
- Added exit JkDefragGUI through trayitem while defragging is active (Not with Shutdown Option)
- Added country flag icons to language menu and to the executable
- Added JkDefrag Colors to help section
- Added exclude, include and spacehogs (Move to end of data) to hidden mode
- Added download indicator to tray when downloading new version
- Added check for Windows Classic Theme to remove background image
- Fixed bug check for updates not saved correct in configuration file
- Fixed bug JkDefrag GUI freezes when update found at startup
- Fixed bug transparency not working 100% when running from U3
- Moved external programs to folder programs
- Moved languages files to folder languages
- Moved images used by the GUI to folder images
- No need for restart anymore when changing language
- Small cosmetic changes

JkDefragGUI 0.81 - 06 july 2007

- Updated JkDefragGUI to version 3.16
- Fixed bug Include/Copy to Clipboard not correct
- Fixed bug Action 11 = Analyze and sort files by creation time (oldest first) missing

JkDefragGUI 0.8 - 17 June 2007

- Updated JkDefrag to version 3.15
- Added Catalan translation
- Added Japanese translation
- Added Brazilian Portuguese translation
- Added Slovenian translation
- Added Russian translation
- Added Greek/Hellenic translation
- Added close JkDefrag when done defragging (-q option)
- Added move files to end (-u option)
- Changed program to use only external language files
- Corrected a color mismatch in the menu
- Fixed bug saving the selected installer not saved correctly to config file
- Fixed bug unable to save action 7, move to end as default
- Fixed bug exclude option not correctly copied to clipboard
- Fixed bug screensaver not replaced by newer version if older version exists
- Fixed bug task scheduler not working in Windows 2000
- Fixed bug selected language not made default when installing the GUI
- Fixed bug unable to start JkDefrag when running from U3
- Restarting the GUI made a bit faster when selecting another language
- Removed background image for Windows 2000 OS
- Removed the uninstall function of the Windows installer from the GUI
- Improved transparency to avoid colors in the GUI
- Some other minor Windows 2000 improvements

JkDefragGUI 0.7 - 28 April 2007

- Updated JkDefrag to version 3.8
- Added support for 64Bits JkDefrag
- Added Polish translation
- Added Bulgarian translation
- Added external language file support
- Added contextmenu
- Added an error message when pressing F6 and no logfile exists
- Added ability to change the path off the logfile
- Added option to disable logfile
- Added option to save logfile in GUI path
- Added option to delete logfile on exit
- Added windows installer/uninstaller
- Added the option to choose an alternative screensaver for JkDefragscreensaver installer
- Installing a newer version will create a backup of the old ini file
- Changed transparency slider to automatically set transparency (setting not saved automaticly)
- Fixed a bug in the Defrag Exclude function
- Removed fade-out on exit
- Removed user language from JkDefragGUI.INI
- Fixed bug user defined language not displayed correct
- Some code cleanup
- Some GUI improvements
- Some Vista improvements

JkDefragGUI 0.6 - 22 march 2007

- Made pull down menu read-only
- Some major changes in the GUI
- Removed balloontip from Show Scheduler
- Improved German translation
- Added more balloontips
- Added manual setting include files and folders
- Added Include and Exclude to save settings
- Added option to save logfile to alternate location
- Made logfile GUI resizable
- Added screensaver installer
- Added Hungarian translation
- Added Swedish translation
- Added options to copy command line to clipboard
- Added options to check for updates on every start of the GUI
- Fixed bug Selecting another language when run from folder with spaces Error
- Fixed bug pull down menu not compatible with Windows 2000

JkDefragGUI 0.5 - 6 March 2007

- Added Italian translation
- Added Romanian translation
- Added two more actions
- Added one more debug level
- Added free space option
- Added hidden mode from command line (Not 100% Perfect due to JkDefrag Close option)
- Added JkDefrag version 3.7 (Version 3.6 and lower will not work with GUI 0.5)
- Added Start date option to scheduler
- Added hide scheduled task and JkDefrag
- Added settings are applied to scheduler
- Added manual setting exclude files and folders
- Added hotkeys
- Added icons to GUI menu
- Added transparency to help and credit GUI
- Removed edit function from logfile
- Fixed bug task scheduler not working when JkDefrag is placed in a folder with spaces"
- Fixed bug reading a large logfile, logfile GUI not showing anything
- Fixed bug scheduler not working when no password is specified

JkDefragGUI 0.41 - 26 February 2007

- Fixed a bug JkDefrag not showing sometime
- Fixed a bug Scheduler not working when using an username with spaces

JkDefragGUI 0.4 - 24 Februari 2007

- Added USB, Floppy and Ramdisk support, drives are selectable
- Added task scheduler (Will be disabled in U3 or BartPE mode)
- Added manual save settings (even Scheduler Time/Interval/Days)
- Added restore settings to default
- Added transparency to JkDefrag and JkDefragGUI
- Added fade-out on exit
- Added Portuguese translation
- Fixed bug in User defined language JKDS050 not set
- Fixed bug wrong version saved in inifile when ini file is created
- Fixed bug wrong action selected when selecting Analyze, defragment and fast optimization

JkDefragGUI 0.3 - 11 Februari 2007

- Embedded logfile into the program
- Added printing the logfile from within program
- Added BartPE/XPE compatibility to same Executable
- Added the possibility to run JkDefragGUI from a read-only environment
- Added selecting all hard disk to defrag
- Added automatic importing old ini file and writing a new one

JkDefragGUI 0.2 - 30 January 2007

- Added four languages (Deutch/Español/Francais/Nederlands)
- Added possiblitly to add your own language (See created ini file in the same folder)
- Added update function
- Added file version and information to Executable
- Changed icon
- Created a separate Executable for BartPE/XPE
- Made JkDefragGUI 0.2 U3 Compliant

JkDefragGUI 0.1 - 16 January 2007

- Initial Release


Credits

First of all i would like to say thanks to Jeroen Kessels who is the author of JkDefrag.

Thanks to all the people who reported bugs and/or gave suggestions for improving JkDefragGUI.

But special thanks to everyone who helped me translate the GUI into their own language.

Supported language | Translator (Thank for helping) | Version and higher
Brazilian Portuguese Brazilian Portuguese | Bruno Eduardo | 0.8
Bulgarian Bulgarian | Rusi Dimitrov | 0.7
Catalan Catalan | Aniol Maria | 0.8
Chinese Chinese Simplified | Tony Yu | 0.9
Chinese Chinese Traditional | Tony Yu | 0.9
Croatian Croatian | Igor Hranilovic | 1.01
Czech Czech | Kamil Kroc | 0.92
Dutch Dutch | Alfred Spijker | 0.93
Dutch Dutch | Emiel Wieldraaijer | 0.2-0.92
English English | Emiel Wieldraaijer | 0.1
France France | Bernard Dechen | 0.2
German German | Guido Drehsen | 0.2
Greek Greek/Hellenic | Thanassis Katsageorgis & XhmikosR | 0.8
Hebrew Hebrew | Arik Amitzur | 1.0
Hungarian Hungarian | Tibor Sarkany | 0.6
Indonesian Indonesian | Mario Ray Mahardhika | 1.01
Italian Italian | Giandomenico Gozio | 0.5
Japanese Japanese | Daisuke Barlog | 0.8
Polish Polish | Artur Napierala | 0.7
Portuguese Portuguese | Rui Morais | 0.4
Romanian Romanian | Laurentiu Anisie | 0.5
Russian Russian | Alexander Sidorkin | 0.8
Serbian Serbian | Bojan Miladinovic | 0.92
Slovak Slovak | Peter Zilak | 0.92
Slovenian Slovenian | Zoran Kovacevic | 0.8
Spanish Spanish | Manuel Montero | 0.2
Swedish Swedish | Andreas Peterzen & Irfan | 0.6
Turkish Turkish | Offchu | 1.03
Ukrainian Ukrainian | Alexey Lugin | 1.03
Valencian Valencian | Vincente Adam | 1.0